Package be.fgov.ehealth.mycarenet.commons.core.v4

# Class PeriodType

java.lang.Object
be.fgov.ehealth.mycarenet.commons.core.v4.PeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:42+02:00", comments="JAXB RI v4.0.5") public class PeriodType extends Object implements Serializable
A standard period consisting of a start and end date, both required.

Java class for PeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Start" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="End" type="{http://www.w3.org/2001/XMLSchema}date"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEnd()`
  Gets the value of the end property.
  `Instant`
  `getStart()`
  Gets the value of the start property.
  `void`
  `setEnd(Instant value)`
  Sets the value of the end property.
  `void`
  `setStart(Instant value)`
  Sets the value of the start property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeriodType

    public PeriodType()

- ## Method Details

  - ### getStart

    public Instant getStart()
    Gets the value of the start property.
    Returns:
      possible object is `String`

  - ### setStart

    public void setStart(Instant value)
    Sets the value of the start property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEnd

    public Instant getEnd()
    Gets the value of the end property.
    Returns:
      possible object is `String`

  - ### setEnd

    public void setEnd(Instant value)
    Sets the value of the end property.
    Parameters:
      `value` - allowed object is `String`